Subject: [rohc] (no subject)

From: "Klaus Warnke" <[email-masked]>
Date: Mon, 5 Dec 2005 16:23:04 +0100 (CET)

>> Is this a correct scenario?
>
> In my opinion, the scenario that you describe is a fair scenario:
> timer-based compression will allow the compressor to send less w-lsb
> encoded bits after a silence period then it would with scaled-TS
> encoding -- i.e when the TS jumps yet follows the time of the day but
> when the SN shows no jump.

Great, than I understand this.

>> Should the compressor switch back to W-LSB encoding or
>> continue timer-based compression?
>
> Here I am not sure that I understand the question exactly as you put it.
>
> My understanding is that TS bits are always w-lsb encoded when the TS is
> sent compressed, but that the encoding method first applied to the TS is
> either scaled TS encoding or Timer-based TS encoding. I assume that if a
> compressor is using Timer-based TS compression -- and when it is
> possible to continue doing so -- then the compressor would simply
> continue with Timer-based TS compression.

Sorry, my question was imprecise.
If I understood right, the timer-based transmission needs that timestamp bits
are sent.
ImplGuide:
   It
   should thus be noted that timer-based compression has no influence on
   decompression of packets where no timestamp bits are sent, in that
   case the timestamp is just linearly inferred from the SN (see section
   4.2 of this document).

The smallest packet with TS bits is a type-1 packet, so if I use timer-based
compression, I can not use 1-byte type-0 packets, right?
So if timer-based compression is on, at least a 2-bytes packet must be sent.
But if after a silent suppression the TS follows SN linear again, there is
from
my point of view no need to continue with timer-based compression, sending
TS-bits. The decompressor can infer the TS from the SN. Is this right?
I assume, that after a period of silent the compressor uses timer-based
compression to transmit the new TS value to decompressor and continues after
without timer-based compression.

BR
-- 
Klaus Warnke
[email-masked]

_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc